Debian Bug report logs - #680790
libio-async-loop-epoll-perl: FTBFS: tests failed

version graph

Package: libio-async-perl; Maintainer for libio-async-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libio-async-perl is src:libio-async-perl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:21:04 UTC

Severity: serious

Tags: sid, wheezy

Found in version libio-async-perl/0.51-1

Fixed in version libio-async-perl/0.51-3

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=78892

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package src:libio-async-loop-epoll-perl. (Sun, 08 Jul 2012 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libio-async-loop-epoll-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 19:10:48 +0200
Source: libio-async-loop-epoll-perl
Version: 0.12-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> dh build
>    dh_testdir
>    dh_auto_configure
> Created MYMETA.yml and MYMETA.json
> Creating new 'Build' script for 'IO-Async-Loop-Epoll' version '0.12'
>    dh_auto_build
> Building IO-Async-Loop-Epoll
>    dh_auto_test
> t/00use.t ........... ok
> t/01loop-io.t ....... ok
> 
> #   Failed test 'One ->loop_once(1) sufficient for a single 0.1 second timer'
> #   at /usr/share/perl5/IO/Async/LoopTests.pm line 481.
> #          got: '2'
> #     expected: '1'
> # Looks like you failed 1 test of 26.
> t/02loop-timer.t .... 
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/26 subtests 
> t/03loop-signal.t ... ok
> t/04loop-idle.t ..... ok
> t/05loop-child.t .... ok
> t/06loop-control.t .. ok
> t/99pod.t ........... ok
> 
> Test Summary Report
> -------------------
> t/02loop-timer.t  (Wstat: 256 Tests: 26 Failed: 1)
>   Failed test:  20
>   Non-zero exit status: 1
> Files=8, Tests=105, 15 wallclock secs ( 0.04 usr  0.06 sys +  0.49 cusr  0.13 csys =  0.72 CPU)
> Result: FAIL
> Failed 1/8 test programs. 1/105 subtests failed.
> dh_auto_test: perl Build test returned exit code 255
> make: *** [build] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/libio-async-loop-epoll-perl_0.12-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package src:libio-async-loop-epoll-perl. (Mon, 09 Jul 2012 19:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 09 Jul 2012 19:48:07 GMT) Full text and rfc822 format available.

Message #10 received at 680790@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 680790@bugs.debian.org
Subject: Re: Bug#680790: libio-async-loop-epoll-perl: FTBFS: tests failed
Date: Mon, 9 Jul 2012 13:45:11 -0600
[Message part 1 (text/plain, inline)]
tag 680790 + unreproducible
thanks

> > #   Failed test 'One ->loop_once(1) sufficient for a single 0.1 second timer'
> > #   at /usr/share/perl5/IO/Async/LoopTests.pm line 481.
> > #          got: '2'
> > #     expected: '1'
> > # Looks like you failed 1 test of 26.
> > t/02loop-timer.t .... 
> > Dubious, test returned 1 (wstat 256, 0x100)
> > Failed 1/26 subtests 

I tried this test several times now, also under heavy load, and I
can't reproduce the failing so far.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 19:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package src:libio-async-loop-epoll-perl. (Tue, 24 Jul 2012 10:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 24 Jul 2012 10:27:09 GMT) Full text and rfc822 format available.

Message #17 received at 680790@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: gregor herrmann <gregoa@debian.org>
Cc: 680790@bugs.debian.org
Subject: Re: Bug#680790: libio-async-loop-epoll-perl: FTBFS: tests failed
Date: Tue, 24 Jul 2012 11:09:00 +0200
On 09/07/12 at 13:45 -0600, gregor herrmann wrote:
> tag 680790 + unreproducible
> thanks
> 
> > > #   Failed test 'One ->loop_once(1) sufficient for a single 0.1 second timer'
> > > #   at /usr/share/perl5/IO/Async/LoopTests.pm line 481.
> > > #          got: '2'
> > > #     expected: '1'
> > > # Looks like you failed 1 test of 26.
> > > t/02loop-timer.t .... 
> > > Dubious, test returned 1 (wstat 256, 0x100)
> > > Failed 1/26 subtests 
> 
> I tried this test several times now, also under heavy load, and I
> can't reproduce the failing so far.

Strange: it just failed again, and this seems to be reproducible.

I can provide access to an Amazon virtual machine where the failure is
reproducible, if you want.

Lucas



Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=78892'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 10 Aug 2012 15:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package src:libio-async-loop-epoll-perl. (Fri, 10 Aug 2012 15:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 10 Aug 2012 15:48:07 GMT) Full text and rfc822 format available.

Message #24 received at 680790@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 680790@bugs.debian.org, 680806@bugs.debian.org
Subject: Update for libio-async-loop-*-perl bugs
Date: Fri, 10 Aug 2012 17:44:19 +0200
[Message part 1 (text/plain, inline)]
1) I've forwarded both bug reports upstream now.
2) Both packages have no reverse (build) dependencies and a low
   popcon, so removing them from wheezy would be no desaster.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bob Dylan: Lonesome Day Blues
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'src:libio-async-loop-epoll-perl' to 'libio-async-perl'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 15 Aug 2012 14:12:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions libio-async-loop-epoll-perl/0.12-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 15 Aug 2012 14:12:06 GMT) Full text and rfc822 format available.

Added indication that 680790 affects libio-async-loop-epoll-perl Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 15 Aug 2012 14:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package libio-async-perl. (Wed, 15 Aug 2012 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 15 Aug 2012 14:36:05 GMT) Full text and rfc822 format available.

Message #35 received at 680790@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 680790@bugs.debian.org
Subject: Re: Bug#680790: libio-async-loop-epoll-perl: FTBFS: tests failed
Date: Wed, 15 Aug 2012 16:32:51 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 - unreproducible

> > I tried this test several times now, also under heavy load, and I
> > can't reproduce the failing so far.
> Strange: it just failed again, and this seems to be reproducible.

Upstream has acknowledged the problem, it's fixed in the next
upstream release, and we are working on a backported patch now.
 
Cf. http://rt.cpan.org/Public/Bug/Display.html?id=78892


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Sting: We Work The Black Seam
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) unreproducible. Request was from gregor herrmann <gregoa@debian.org> to 680790-submit@bugs.debian.org. (Wed, 15 Aug 2012 14:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package libio-async-perl. (Wed, 15 Aug 2012 16:18:06 GMT) Full text and rfc822 format available.

Message #40 received at 680790@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 680790@bugs.debian.org, 680790-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libio-async-perl package
Date: Wed, 15 Aug 2012 16:15:20 +0000
tag 680790 + pending
thanks

Some bugs in the libio-async-perl package are closed in revision
c9312eb90d01c38ee6c76855c1c8e6259032d12c in branch 'master' by gregor
herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-perl.git;a=commitdiff;h=c9312eb

Commit message:

    Add patch subsecond.patch, backported from upstream:
    
    subsecond timer tests are skipped unless unit-tests require them, since they
    are not reliable for all Loop implementations.
    
    Thanks: Paul "LeoNerd" Evans (upstream author) for pointing me to the fix.
    Closes: #680790




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680790; Package libio-async-perl. (Wed, 15 Aug 2012 16:18:08 GMT) Full text and rfc822 format available.

Message #43 received at 680790@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 680790@bugs.debian.org, 680790-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libio-async-perl package
Date: Wed, 15 Aug 2012 16:15:20 +0000
tag 680790 + pending
thanks

Some bugs in the libio-async-perl package are closed in revision
effba33a979046ceefc95c4a635bbc99fbe752a8 in branch 'master' by gregor
herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-perl.git;a=commitdiff;h=effba33

Commit message:

    Add patch subsecond.patch, backported from upstream:
    
    subsecond timer tests are skipped unless unit-tests require them, since they
    are not reliable for all Loop implementations.
    
    Thanks: Paul "LeoNerd" Evans (upstream author) for pointing me to the fix.
    Closes: #680790




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 15 Aug 2012 16:18:09 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680790. (Wed, 15 Aug 2012 16:18:13 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680790. (Wed, 15 Aug 2012 16:18:15 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 15 Aug 2012 16:18:17 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 15 Aug 2012 16:18:17 GMT) Full text and rfc822 format available.

Message #56 received at 680790-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 680790-close@bugs.debian.org
Subject: Bug#680790: fixed in libio-async-perl 0.51-3
Date: Wed, 15 Aug 2012 16:17:39 +0000
Source: libio-async-perl
Source-Version: 0.51-3

We believe that the bug you reported is fixed in the latest version of
libio-async-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libio-async-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 Aug 2012 17:55:42 +0200
Source: libio-async-perl
Binary: libio-async-perl
Architecture: source all
Version: 0.51-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libio-async-perl - module providing asynchronous filehandle I/O
Closes: 680790
Changes: 
 libio-async-perl (0.51-3) unstable; urgency=low
 .
   * Add patch subsecond.patch, backported from upstream: subsecond timer
     tests are skipped unless unit-tests require them, since they are not
     reliable for all Loop implementations. Thanks to Paul "LeoNerd" Evans
     (upstream author) for pointing me to the fix. (Closes: #680790)
Checksums-Sha1: 
 3eff72dc86020648c43ca1b387669c27291ac1ee 2352 libio-async-perl_0.51-3.dsc
 c83136a1a9772eb94e7883926dea6d532f9de8fb 5213 libio-async-perl_0.51-3.debian.tar.gz
 dad51e0890a8d448ec3423d2645862008a274a9d 262650 libio-async-perl_0.51-3_all.deb
Checksums-Sha256: 
 4f49b387b3b649e12799e58c81c180ae33b74605404541a0842bc1fd2d56c6e2 2352 libio-async-perl_0.51-3.dsc
 1991ff55d48e653039e8b2117ba438bbe564774042a4a17618f8a478cba172b4 5213 libio-async-perl_0.51-3.debian.tar.gz
 bc280fc2b16c65a7ec9e7aab3a5ffd190d6d5cbd97e9569ea8b00ddc3773079a 262650 libio-async-perl_0.51-3_all.deb
Files: 
 cec1d5753751ef12a0e8a2010fdb8afa 2352 perl optional libio-async-perl_0.51-3.dsc
 8a3cacda567cb69ca043204540502a36 5213 perl optional libio-async-perl_0.51-3.debian.tar.gz
 1942b8f670461e41779202a52b0c16d4 262650 perl optional libio-async-perl_0.51-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQK8cKAAoJELs6aAGGSaoGRo8P/3VBOtuHEgpp+IKGba+CiR0C
BoCT48qZqRbUYb+ezlx8DDjyJ8XJZWc+kt/lQzTjNKz2VAUOPCCnOxlzf3ttGhPY
whdXF3yoo/MRNwuTjUNBgP/0i2+rOQG2bdxdyIHzZ9/LdKuz90k4jZTaasI8wr9H
q3116JZ8vDCJOTFtsD44glscUkDZge1FNbRr5ZgIYBKMzv7xENWvlVUHkUfOH7CJ
L/fLmRvbY9vsP7N3FNqoRskH6MxMQebYMsMmpvKvHwV9CjYOqp02qQsSZK/4VKkN
8B1ACPyq3cnnr5dCgUqHYakZO5GCYtTF1HH9WzfOTwWINAc9mg8iT2eOtCGTfdYl
eTnu4JqJrdzhnAilK9dxzdKHShTRSPd+jbk13Ata5mEp4lNgvN5GH52Sv2EbVQTz
m8QEvRTVYK4W27ITO/1VxPto+8z+CKuU831F5Wl8m9S/iI+AVMrLtra4T1Fi7DLR
PWrajf1TUB4WV/AJQXo/T31OEytTJiTn5TTJ1d1xszR+d97hbIGXvl07Fy5Jy59w
WlFODyOlyA2xabsKzJ9rb1mdeovcR/APCCFhaxnpGqnLO1MrqnGvhl9TdBvoehE/
tTtNIOa+rN5NbCvwXwtPYAbQr+AqflhEpLVmvhcJ4uJ4GOoHuazlfZLJHkzRFavn
Qm6kfrfjhvkO6NPuERvP
=2dlZ
-----END PGP SIGNATURE-----




Marked as found in versions libio-async-perl/0.51-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 15 Aug 2012 16:27:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Sep 2012 07:31:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:06:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.